<%@page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bDelegadosIncidenciasVistaBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bSubsanacionesBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bMigracionBD"%>

<%@ taglib uri="/WEB-INF/tld/ejieFramework-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>

<%@ page import="es.ejie.frmk.listeners.base.Q70ListenerUtils" %>
<%@ page import="w83b.w83bUtilidadesComunes.W83bClsConstantes" %>
<%@ page import="w83b.w83bDAO.w83bConstantesBD.W83bIncidenciasVistaBD" %>

<%@ page import="es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n" %>
<%@page import="w83b.w83bUtilidadesComunes.W83bUtilidadesN38API"%>

<bean:define id="strIdioma" type="java.lang.String" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA%>"/>
<bean:define id="permisoUsuario" type="w83b.w83bBeans.W83bUsuarioXLNetsBean" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO %>"></bean:define>

<bean:define id="tipoIncidenciaBean" name="contexto" property="w83bNuevaIncidenciasBean.tipologiaIncidencia"></bean:define>
<%	
String versionjs= Q70ListenerUtils.getApplicationProperty("versionjs");
%>
<script type="text/javascript">
		
var literalCamposObligatorios = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.camposObligatorios"/>';			
var provincia_Permiso = '<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>';
var provincia_SS = '<%=W83bClsConstantes.CONSTANTE_SERVICIOS_CENTRALES%>';
var tipoIncidenciaBean = '<%=tipoIncidenciaBean%>';

var fechanoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechanoValida"/>';
var obligatorioSeleccionarDelegado = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.obligatorioSeleccionarDelegado"/>';

var colegioTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.colegio"/>';
var dniDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.dniDelegado"/>';
var primerApellidoDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.1ApellidoDelegado"/>';
var segundoApellidoDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.2ApellidoDelegado"/>';
var nombreDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.nombreDelegado"/>';
var sexoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.sexo"/>';
var sindicatoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.sindicato"/>';
var fecAltaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fecAlta"/>';
var fecBajaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fecBaja"/>';
var motivoBajaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.motivoBaja"/>';
var dniSustitutoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.dniSustituto"/>';
var fechaEntradaMinimo =  '<html:message key="comun.incidencias.mensaje.fechaEntradaMinimo"/>';
var fechaEntradaMaximo =  '<html:message key="comun.incidencias.mensaje.fechaEntradaMaximo"/>';
	var doc_borrado = '<html:message i18nKey="w83brecursosErrores" key="comun.incidencias.doc_borrado"/>';
	var doc_no_borrado = '<html:message i18nKey="w83brecursosErrores" key="comun.incidencias.doc_no_borrado"/>';
var campoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.campo"/>';
var valorAnteriorTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.valorAnterior"/>';
var valorActualTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.valorActual"/>';

var bajaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.baja"/>';
var codColegioTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.colegio"/>';
var dniDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.dniDelegado"/>';
var primerApellidoDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.primerApellidoDelegado"/>';
var segundoApellidoDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.segundoApellidoDelegado"/>';
var nombreDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.nombreDelegado"/>';
var sexoDelegadoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.sexoDelegado"/>';
var desSindicatoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.desSindicatoDelegado"/>';
var dniSustitutoTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.dniSustitutoDelegado"/>';

var fechaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fecha"/>';
var horaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.hora"/>';
var descripcionTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.descripcionAccion"/>';
var usuarioTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.usuarioA"/>';

var descFaseTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fase"/>';
var desc_tramiteTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.tramite"/>';
var fecha_tramiteTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fechaTramite"/>';
var usuario_altaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.usuarioAlta"/>';
var fecha_altaTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fechaAlta"/>';
var usuario_modifTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.usuarioModif"/>';
var fecha_modifTxt = '<html:message i18nKey="w83bcomun" key="comun.incidencias.fechaModif"/>';

var colegio = '<%=W83bDelegadosIncidenciasVistaBD.colegio_cast%>';
<!--if('<%=strIdioma%>'=='<%=W83bClsConstantes.CONSTANTE_CASTELLANO%>'){-->
<!--	colegio = '<%=W83bDelegadosIncidenciasVistaBD.colegio_cast%>';-->
<!--}else{-->
<!--	colegio = '<%=W83bDelegadosIncidenciasVistaBD.colegio_eusk%>';-->
<!--}-->
var colegio = '<%=W83bDelegadosIncidenciasVistaBD.codColegio%>';
var dniDelegado = '<%=W83bDelegadosIncidenciasVistaBD.dniDelegado%>';
var primerApellidoDelegado = '<%=W83bDelegadosIncidenciasVistaBD.primerApellidoDelegado%>';
var segundoApellidoDelegado = '<%=W83bDelegadosIncidenciasVistaBD.segundoApellidoDelegado%>';
var nombreDelegado = '<%=W83bDelegadosIncidenciasVistaBD.nombreDelegado%>';
var sexo = '<%=W83bDelegadosIncidenciasVistaBD.sexoDelegado%>';
var sindicato = '<%=W83bDelegadosIncidenciasVistaBD.siglas%>';
<!--if('<%=strIdioma%>'=='<%=W83bClsConstantes.CONSTANTE_CASTELLANO%>'){-->
<!--	sindicato = '<%=W83bDelegadosIncidenciasVistaBD.sindicato_cast%>';-->
<!--}else{-->
<!--	sindicato = '<%=W83bDelegadosIncidenciasVistaBD.sindicato_eusk%>';-->
<!--}-->
var fecAlta = '<%=W83bDelegadosIncidenciasVistaBD.fechaAlta%>';
var fecBaja = '<%=W83bDelegadosIncidenciasVistaBD.fechaBaja%>';
var motivoBaja = '<%=W83bDelegadosIncidenciasVistaBD.dniDelegado%>';
if('<%=strIdioma%>'=='<%=W83bClsConstantes.CONSTANTE_CASTELLANO%>'){
	motivoBaja = '<%=W83bDelegadosIncidenciasVistaBD.baja_cast%>';
}else{
	motivoBaja = '<%=W83bDelegadosIncidenciasVistaBD.baja_Eusk%>';
}
var dniSustituto = '<%=W83bDelegadosIncidenciasVistaBD.dniSustituto%>';
var campoBd = '<%=W83bMigracionBD.nomCampo065%>';
var valorAntBD = '<%=W83bSubsanacionesBD.VALOR_ANT_066%>';
var valorActualBD = '<%=W83bSubsanacionesBD.VALOR_ACTUAL_066%>';

var fechanoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechanoValida"/>';
var pendienteDeProcesar = '<html:message i18nKey="w83bcomun" key="comun.mensaje.pendienteProcesar"/>';

pendienteDeProcesar = pendienteDeProcesar.toUpperCase();

var nActaNecesariaTipoIncidencia = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nActaNecesariaTipoIncidencia",strIdioma.toString(),null) %>';
var nIncidenciaRepetida = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nIncidenciaRepetida",strIdioma.toString(),null) %>';
var nActaRepetida = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nActaRepetida",strIdioma.toString(),null) %>';
var nActaNoExiste = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nActaNoExiste",strIdioma.toString(),null) %>';
var nActaNoEstaRegistradaDefinitivamente = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nActaNoEstaRegistradaDefinitivamente",strIdioma.toString(),null) %>';

var incidenciaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.nIncidencia",strIdioma.toString())
}) %>';
var territorioYAnyoIncidenciaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.territorioYAnyoIncidenciaObligatorio",strIdioma.toString(),null)%>';
var actaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numActaAfectada",strIdioma.toString())
}) %>';
var fechaEntradaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaEntrada",strIdioma.toString())
}) %>';
var fechaValidacionObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidacion",strIdioma.toString())
}) %>';
var fechaRegistroObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaRegistro",strIdioma.toString())
}) %>';
var numEntradaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.numRegistroES",strIdioma.toString())
}) %>';
var tipoIncidenciaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.tipologia",strIdioma.toString())
}) %>';
var tipoSolicitanteObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.tipoSolicitanteTiposTxt",strIdioma.toString())
}) %>';
var motivoBajaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.motivoBaja",strIdioma.toString())
}) %>';
var nifSolicitanteObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.dniSolicitanteTipos",strIdioma.toString())
}) %>';
var nombreSolicitanteObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.nombreSolicitanteTiposTxt",strIdioma.toString())
}) %>';
var nifSolicitanteErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.dniSolicitanteTxt",strIdioma.toString())
}) %>';
var fecEntradaErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaEntrada",strIdioma.toString())
						}) %>';
var fecRegistroErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaRegistro",strIdioma.toString())
						}) %>';
var nFechaEntradaMayorCuatroAnosFechaElecActa = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fecEntradaIncidenciaCuatroAnyosMayorFecElecActa",strIdioma.toString(),null)
						%>';
var nFechaEntradaMenorUltimaIncidencia = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fechaEntradaMenorUltimaIncidencia",strIdioma.toString(),null)
						%>';
var nFechaEntradaMayorSiguienteIncidencia = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fechaEntradaMayorSiguienteIncidencia",strIdioma.toString(),null)
%>';
var nFechaValidacionMenorUltimaIncidencia = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fechaValidacionMenorUltimaIncidencia",strIdioma.toString(),null)
						%>';
						
var nFechaValidacionMenorUltimaIncidencia = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fechaValidacionMenorUltimaIncidencia",strIdioma.toString(),null)
						%>';
						
<!--20150520 nuevo mensaje en la validacion de incidencias-->						
var nFechaEntradaMayorFechaActual = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fecEntradaIncidenciaMayorFechaActual",strIdioma.toString(),null)
						%>';
						
var imposibleValidarIncidenciasIncidenciaAnteriorNoValidada = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.imposibleValidarIncidenciasIncidenciaAnteriorNoValidada",strIdioma.toString(),null)
						%>';
var imposibleDescartarIncidenciasIncidenciaPosteriorNoValidada = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.imposibleDescartarIncidenciasIncidenciaPosteriorNoValidada",strIdioma.toString(),null)
						%>';
var cierreRealizado = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cierreRealizadoFecha",strIdioma.toString(),null)
						%>';
var cierreRealizadoFechaValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cierreRealizadoFechaValidacion",strIdioma.toString(),null)
						%>';
var cierreRealizadoFechaValidacionActaParcial = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cierreRealizadoFechaValidacionActaParcial",strIdioma.toString(),null)
						%>';
var actaNoRegistradaNoValidarNoDescartar = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.actaNoRegistradaNoValidarNoDescartar",strIdioma.toString(),null)
						%>';

						
var cifErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cifErroneo",strIdioma.toString(),null
						) %>';
						
var motivoBajaErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.motivoBaja",strIdioma.toString())
						}) %>';
var sindicatoErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.sindicato",strIdioma.toString())
						}) %>';
						
var delegadoIncidenciaNoRepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.delegadoIncidenciaNoRepetido",strIdioma.toString(),null
						) %>';
var pestania = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.herramientas.pestania",strIdioma.toString(),null
						) %>';
var delegadoSustituido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.delegadoSustituido",strIdioma.toString(),null
						) %>';
var validarIncidenciaalSiguienteMes = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.validarIncidenciaalSiguienteMes",strIdioma.toString(),null
						) %>';
var archivoObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.labels.selecarchivo",strIdioma.toString())
					}) %>';	
var camposObligatoriosErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.fechaNumeroAdjuntos",strIdioma.toString(),null) %>';
var fechaRegistroErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.labels.fechregistroes",strIdioma.toString())
						}) %>';
						
var tipoSubsanacion = '<%= W83bClsConstantes.CONSTANTE_SUBSANACION%>';
var tipoActaParcial = '<%= W83bClsConstantes.CONSTANTE_ACTA_PARCIAL%>';

var imagenBorrar='<%=staticPath%>'+"/images/cancel.png";

var perfil_admon = '<%= W83bClsConstantes.PERMISO_ADMINISTRADOR %>';
var usuarioAdminConsul = '<%=W83bUtilidadesN38API.elegirAdministradorConsulta(permisoUsuario.getPerfilXLNets())%>';
var permisoModificacion;
if(provincia_Permiso!=<%=W83bClsConstantes.CONSTANTE_SERVICIOS_CENTRALES%>&&usuarioAdminConsul==<%=W83bClsConstantes.PERMISO_ADMINISTRADOR%>){
	permisoModificacion = true;
}
else{
	permisoModificacion = false;
}
						
function getCodTipologia(tipo){

	if(tipo=='sustitucion'){
		return '<%=W83bClsConstantes.CONSTANTE_SUSTITUCION%>';
	}else if(tipo=='dimision'){
		return '<%=W83bClsConstantes.CONSTANTE_DIMISION%>';
	}else if(tipo=='baja'){
		return '<%=W83bClsConstantes.CONSTANTE_BAJA%>';
	}else if(tipo=='fallecimiento'){
		return '<%=W83bClsConstantes.CONSTANTE_FALLECIMIENTO%>';
	}else if(tipo=='revocacion'){
		return '<%=W83bClsConstantes.CONSTANTE_REVOCACION%>';
	}else if(tipo=='actaParcial'){
		return '<%=W83bClsConstantes.CONSTANTE_ACTA_PARCIAL%>';
	}else if(tipo=='subsanacion'){
		return '<%=W83bClsConstantes.CONSTANTE_SUBSANACION%>';
	}
	

}

function getMensajeMotivoBajaObligatorio(nif){
	var motivoBajaNifObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.motivoBaja",strIdioma.toString())
	}) %>';
	return delegadoSustituido+" "+nif+": "+motivoBajaNifObligatorio;
}

function getMensajeCifNifObligatorio(nif){
	var cifNifObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
	
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.dniSustituto",strIdioma.toString())
	}) %>';
	return delegadoSustituido+" "+nif+": "+cifNifObligatorio;
}

function getMensajeNifErroneo(nif){
	var nifErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nifErroneoInc",strIdioma.toString(),
	new String[]{"xxx"}) %>';
	return delegadoSustituido+" "+nif+": "+nifErroneo;
}

function getColegioObligatorio(nif){
	var colegioObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.colegio",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+colegioObligatorio;
}

function getApe1Obligatorio(nif){
	var ape1Obligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.1Apellido",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+ape1Obligatorio;
}

function getApe2Obligatorio(nif){
	var ape2Obligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.2Apellido",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+ape2Obligatorio;
}

function getNombreObligatorio(nif){
	var nombreObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.nombre",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+nombreObligatorio;
}

function getSexoObligatorio(nif){
	var sexoObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.sexo",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+sexoObligatorio;
}

function getFecAltaObligatorio(nif){
	var fecAltaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.fecAlta",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+fecAltaObligatorio;
}

function getFecBajaObligatorio(nif){
	var fecBajaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaBajaDelegado",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+fecBajaObligatorio;
}

function getSindicatoObligatorio(nif){
	var fecBajaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
							Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.sindicato",strIdioma.toString())
							}) %>';
	return delegadoSustituido+" "+nif+": "+fecBajaObligatorio;
}

function getFecAltaErroreno(nif){
	var fecAltaErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.fecAlta",strIdioma.toString())
						}) %>';
	return delegadoSustituido+" "+nif+": "+fecAltaErroreno;
}

function getFecBajaErroreno(nif){
	var fecBajaErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaBajaDelegado",strIdioma.toString())
						}) %>';
	return delegadoSustituido+" "+nif+": "+fecBajaErroreno;
}

function getFecBajaErrorenoAltaDelegado(nif){
	var fecBajaErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.errorFechaBajaDelegadoMenorFechaAlta",strIdioma.toString()) %>';
	return delegadoSustituido+" "+nif+": "+fecBajaErroreno;
}

function getFecAltaErroreno(nif){
	var fecAltaErroreno = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.delegados.fecAlta",strIdioma.toString())
						}) %>';
	return delegadoSustituido+" "+nif+": "+fecAltaErroreno;
}

function getMensajeCifNifRepetido(nif){
	var cifNifRepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.dniRepetidoActa",strIdioma.toString(),null) %>';
	return delegadoSustituido+" "+nif+": "+cifNifRepetido;
}

function getMensajeDelegadoFechaAltaRepetido(nif){
	var cifNifRepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.delegadoFechaAltaRepetido",strIdioma.toString(),null) %>';
	return delegadoSustituido+" "+nif+": "+cifNifRepetido;
}

function getMensajeSindicatoNoValido(nif){
	var cifNifRepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.noCorrespondenDelegados",strIdioma.toString(),null) %>';
	return delegadoSustituido+" "+nif+": "+cifNifRepetido;
}

function getMensajeReferenciaActaTotal(actaTotal){
	var mensajeReferenciaActaTotal = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.refenteActaTotal",strIdioma.toString(),null) %>';
	return mensajeReferenciaActaTotal+actaTotal+": ";
}

var documentovacio = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.documentovacio"/>';
var literalRegistrosEntradaSalida='<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.fechaNumeroAdjuntos"/>';
var literalNumRegistroESVacioAntesNo='<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.numRegistroESVacioAntesNo"/>';
var literalFechaRegistroESVacioAntesNo='<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.fechaRegistroESVacioAntesNo"/>';
var caracteresdocumento = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.documento100caracteres"/>';
</script>